Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163502 - pam not self-hosting, links to already installed(older) libpam.so
Summary: pam not self-hosting, links to already installed(older) libpam.so
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: pam
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-18 12:34 UTC by Karsten Hopp
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: pam-0.80-2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-08-16 08:21:04 UTC


Attachments (Terms of Use)

Description Karsten Hopp 2005-07-18 12:34:10 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de-DE; rv:1.7.8) Gecko/20050623 Fedora/1.0.4-5 Firefox/1.0.4

Description of problem:
pam isn't self-hosting as it needs pam-devel to rebuild.
Otherwise a rebuild fails with

+ for module in '$RPM_BUILD_ROOT/lib/security/pam*.so'
+ /usr/src/redhat/SOURCES/dlopen.sh -lpam -ldl -L/var/tmp/pam-root/lib /var/tmp/pam-root/lib/security/pam_access.so
/usr/bin/ld: cannot find -lpam
collect2: ld returned 1 exit status
/usr/src/redhat/SOURCES/dlopen.sh: line 63: /tmp/dlopeny29384/dlopen: No such file or directory



Version-Release number of selected component (if applicable):
pam-0.80-1

How reproducible:
Always

Steps to Reproduce:
1. rpm -e pam-devel
2. rpmbuild --rebuild pam-0.80-1.src.rpm
3. check output
  

Actual Results:  pam builds a dlopen wrapper to check if the modules can be loaded. This wrapper should be linked with /var/tmp/pam-root/lib/libpam.so instead of /lib/libpam.so.

This is the obvious error, still need to check if the dlopen-wrapper is the only pam binary which links with older libpam outside of /var/tmp/pam-root/.

Additional info:

Comment 1 Tomas Mraz 2005-08-16 08:21:04 UTC
I've forgot to close the bug.



Note You need to log in before you can comment on or make changes to this bug.